MKFIFO(1)

NOM
mkfifo - Créer des FIFOs (tubes nommés)

SYNOPSIS
mkfifo [options] fichier...

Options POSIX : [-m mode] [--]

Options GNU (versions courtes) : [-m mode] [--help] [--version] [--]

DESCRIPTION
mkfifo crée une file FIFO (un tube nommé) pour chacun des noms indiqués.

Une « FIFO » est un type de fichier spécial permettant la communication entre des processus indépendants. Un processus ouvre la FIFO en écriture, et un autre l'ouvre en lecture. Ensuite les données peuvent transiter entre les processus comme avec les tubes anonymes proposés par les shells.

Par défaut, les permissions d'accès aux FIFOs créées sont 0666 moins les bits à 1 du umask.

OPTIONS

-m mode, --mode=mode
    Indique les permissions d'accès pour les FIFOs créées. Le mode est fourni de manière symbolique, comme pour chmod(1), en utilisant l'autorisation par défaut comme valeur de départ.

--  Fin explicite de la liste des options.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer normalement.

--version
    Afficher un numéro de version sur la sortie standard, et se terminer normalement.

ENVIRONNEMENT
Les variables d'environnement LANG, LC_ALL, LC_TYPE et LC_MESSAGES ont leur significations habituelles.

CONFORMITÉ
POSIX.2

NOTES
Cette page décrit la version de mkfifo trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 21 décembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 mkfifo ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.